library ieee;
use ieee.std_logic_1164.all;

entity wrapper_app is
  port(clk             : in  std_logic;
       reset_l         : in  std_logic;
       enable_l        : in  std_logic;
       ready_l         : out std_logic;
       soc_out_appl    : in  std_logic;
       d_out_appl      : in  std_logic_vector(31 downto 0);
       tca_appl_in     : in  std_logic;
       soc_appl_in     : out std_logic;
       d_appl_in       : out std_logic_vector(31 downto 0);
       tca_out_appl    : out std_logic);
end wrapper_app;


architecture wrapper_app_arch of wrapper_app is

begin

  flop_signals: process (clk)
  begin
    if clk'event and clk = '1' then
      if Reset_l = '0' then
        soc_appl_in    <= '0';
        d_appl_in      <= (others => '0');
        tca_out_appl   <= '0';
      else 
        soc_appl_in    <= soc_out_appl;
        d_appl_in      <= d_out_appl;
        tca_out_appl   <= tca_appl_in;
      end if;
    end if;
  end process flop_signals;

  ready_l <= not enable_l;

end wrapper_app_arch;
